### Method

# Ide Buffer set_language_id

#### Declaration

    void
    ide_buffer_set_language_id (
      IdeBuffer* self,
      const gchar* language_id
    )

#### Description

No description available.

Sets property | `Ide.Buffer:language-id`

#### Parameters

`language_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.